Subject: Re: linux-next: mfd tree build warning

From: Mark Brown <[email-masked]>
Date: Tue, 24 Nov 2009 11:06:01 +0000

On Tue, Nov 24, 2009 at 04:42:19PM +1100, Stephen Rothwell wrote:

> I have been getting these warnings from the x86_64 allmodconfig build for
> a long time:

> drivers/mfd/wm8350-regmap.c:3177:2: warning: #warning No WM8350 config modes supported - select at least one of the
> drivers/mfd/wm8350-regmap.c:3178:2: warning: #warning MFD_WM8350_CONFIG_MODE_n options from the board driver.

> This may not be a problem, I just thought I should let you know.

It's not a real problem.  Any actual system using the driver will need
to have explicit code which registers the I2C device for the WM8350,
that code will need to set up the particular build for the board.  The
build time warning is there to try to make it a bit more obvious what's
needed.

Allowing the driver to be built without one of these defined provides
build coverage which is helpful for subsystem maintainers.

I might send a patch taking away the compile time warning, I'm not sure
how likely it is that people will notice it.